
#ifndef PARAMS_H
#define PARAMS_H

struct Cursor;

struct ParamInfo
{
    SQLSMALLINT sql_type;
    SQLUINTEGER column_size;
    SQLSMALLINT decimal_digits;
};

bool PrepareAndBind(Cursor* cur, PyObject* pSql, PyObject* params, bool skip_first);
void FreeParameterData(Cursor* cur);

#endif
