
#ifndef _WRAPPER_H_
#define _WRAPPER_H_

class Object
{
public:
    PyObject* p;

    Object(const Object& illegal);
    void operator=(const Object& illegal);

    Object(PyObject* _p = 0)
    {
        p = _p;
    }

    ~Object()
    {
        Py_XDECREF(p);
    }

    Object& operator=(PyObject* pNew)
    {
        Py_XDECREF(p);
        p = pNew;
        return *this;
    }

    PyObject* Detach()
    {
        PyObject* pT = p;
        p = 0;
        return pT;
    }

    operator PyObject*() 
    {
        return p;
    }

    PyObject* Get()
    {
        return p;
    }
};

#endif // _WRAPPER_H_
